Bug 8996 - build without ads support (e.g. plain solaris 8) broken
build without ads support (e.g. plain solaris 8) broken
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Build environment
3.6.5
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 17:50 UTC by Björn Jacke
Modified: 2012-07-06 18:57 UTC (History)
1 user (show)

See Also:


Attachments
fix for compile without ads support with solaris compiler (1.35 KB, patch)
2012-06-18 10:39 UTC, Björn Jacke
bjacke: review+
Details
same patch slightly adopted for 3.5 (1.25 KB, patch)
2012-07-01 22:49 UTC, Björn Jacke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2012-06-13 17:50:57 UTC
as in the buildfarm:

Linking bin/net
Undefined			first referenced
 symbol  			    in file
ads_get_sid_token                   ../libgpo/gpo_util.o
ld: fatal: Symbol referencing errors. No output written to bin/net

http://build.samba.org/build.cgi/build/f14f4b74aa02bf8e5a58b7cf0dda6f07dff0a1a4
http://build.samba.org/build.cgi/build/d62f1154584bcda6fdb2e041404a87b7b784ee36

the commit "s3: fix build without ads support" in master fixes that and should be picked to 3.6 and 3.5 to fix those builds.
Comment 1 Björn Jacke 2012-06-18 10:37:04 UTC
the hash in master is 43c56dc4255a7a6cbd176e6ae66a7652c6d72d2c
Comment 2 Björn Jacke 2012-06-18 10:39:13 UTC
Created attachment 7657 [details]
fix for compile without ads support with solaris compiler
Comment 3 Stefan Metzmacher 2012-06-18 14:16:20 UTC
Comment on attachment 7657 [details]
fix for compile without ads support with solaris compiler

looks ok
Comment 4 Stefan Metzmacher 2012-06-18 14:17:11 UTC
Karo, please pick this for the next release.
Comment 5 Karolin Seeger 2012-06-30 11:18:40 UTC
Pushed to v3-6-test.
Cherry-picking to v3-5-test fails.
Björn, please provide an updated version for 3.5.

Thanks!
Comment 6 Björn Jacke 2012-07-01 22:49:02 UTC
Created attachment 7682 [details]
same patch slightly adopted for 3.5
Comment 7 Karolin Seeger 2012-07-06 18:57:25 UTC
(In reply to comment #6)
> Created attachment 7682 [details]
> same patch slightly adopted for 3.5

Pushed to v3-5-test.
Closing out bug report.

Thanks!